<div class="container-fluid mt-lg-5 px-3 pb-5">
    <h2>Employee List</h2>

    <!-- Search inputs -->
    <div class="row mb-3">
        <div class="col-12 col-md-3 mb-2">
            <input type="text" [(ngModel)]="searchParams.username" class="form-control" placeholder="Username...">
        </div>
        <div class="col-12 col-md-3 mb-2">
            <input type="text" [(ngModel)]="searchParams.firstName" class="form-control" placeholder="First Name...">
        </div>
        <div class="col-12 col-md-3 mb-2">
            <input type="text" [(ngModel)]="searchParams.lastName" class="form-control" placeholder="Last Name...">
        </div>
        <div class="col-12 col-md-3">
            <button (click)="search()" class="btn btn-primary btn-sm-block d-block d-sm-inline-block">Search</button>
        </div>
    </div>

    <div class="form-group">
        <label for="itemsPerPage">Items Per Page</label>
        <div class="d-flex float-right col-1 mb-3">
            <select id="itemsPerPage" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="20">20</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select>
        </div>
    </div>
    <button class="btn btn-primary" [routerLink]="['/employees/add']">Add Employee</button>

    <!-- Employee table -->
    <div class="table-responsive">
        <table class="table table-striped">
            <!-- Table headers -->
            <thead>
                <tr>
                    <th>Username</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Birth Date</th>
                    <th>Basic Salary</th>
                    <th>Status</th>
                    <th>Group</th>
                    <th>Description</th>
                    <th class="text-center">Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr
                    *ngFor="let employee of employees | paginate: { id:'employeePage', itemsPerPage: itemsPerPage, currentPage: p, totalItems: totalItems }">
                    <td>{{employee.username}}</td>
                    <td>{{employee.firstName}}</td>
                    <td>{{employee.lastName}}</td>
                    <td style="width: 5%;">{{employee.email}}</td>
                    <td>{{employee.birthDate | date: 'dd MMMM yyyy'}}</td>
                    <td>{{generalService.formatCurrency(employee.basicSalary)}}</td>
                    <td>{{employee.status}}</td>
                    <td>{{employee.group}}</td>
                    <td style="width: 15%;">{{employee.description}}</td>
                    <td class="text-center">
                        <button class="btn btn-primary mx-1"
                            (click)="navigateToDetail(employee.username)">View</button>
                        <button class="btn btn-warning mx-1"
                            [routerLink]="['/employees/edit', employee.username]">Edit</button>
                        <button class="btn btn-danger mx-1" (click)="deleteEmployee(employee.username)">Delete</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <!-- Pagination controls -->
    <div class="text-center mb-4">
        <pagination-controls (pageChange)="onPageChange($event)" id="employeePage"></pagination-controls>
    </div>
</div>